# Simulate incoming wire transfer using account id This tool is a quick and easy way to put funds on a Managed Account (previously called ‘deposit’), that you may need for testing elsewhere. Provide account id and transaction amount and the transaction will be processed through the system. This method skips some of the steps when processing IWTs. To test this fully, please use the accounts_deposit endpoint. Endpoint: POST /accounts/{account_id}/deposit Version: v2 Security: API_Secret_Key ## Path parameters: - `account_id` (integer, required) ## Header parameters: - `call-ref` (string) A call reference generated by the caller and unique to the caller to provide correlation between the caller and system with a maximum length of 255 ## Request fields (application/json): - `depositAmount` (object, required) A message representing a monetary amount in a particular currency. - `depositAmount.currency` (string, required) The currency ISO-4217 code, i.e. a three letter uppercase code, such as GBP, EUR, USD. - `depositAmount.amount` (integer) The monetary amount, scaled to the lowest denomination of the currency. For example, an amount of 1000 for a EUR currency is actually 1000 Euro cents, i.e. EUR 10.00. - `senderName` (string) The name of the person or business sending the incoming wire transfer - `reference` (string) The reference is the transaction description - `receiverName` (string) The name of the recipient of the incoming wire transfer - `txId` (integer) Id used for the transaction if provided, otherwise one will be generated - `senderIban` (string) - `sepa` (object) - `sepa.iban` (string, required) International Bank Account Number, required for wire transfer over SEPA or RIX - `sepa.bankIdentifierCode` (string) BIC, for wire transfer over SEPA or RIX - `fasterPayments` (object) - `fasterPayments.accountNumber` (string, required) Account number, required for wire transfer over Faster Payments. - `fasterPayments.sortCode` (string, required) Sort code, required for wire transfer over Faster Payments. - `accountDescriptor` (object) - `accountDescriptor.accountDescriptor` (string, required) An identifier of an account that has neither an IBAN nor Faster Payments details. - `paymentNetwork` (string) Optional field which indicates the payment network to use. If not provided, a default payment network will be chosen based on the currency. Enum: "SEPA", "FASTER_PAYMENTS", "SWIFT", "BACS", "CHAPS", "RIX" ## Response 200 fields (application/json): - `code` (string) Enum: "COMPLETED", "DENIED_ACCOUNT_NOT_FOUND", "DENIED_AMOUNT_NOT_POSITIVE", "DENIED_CURRENCY_NOT_ACCOUNT_CURRENCY", "DENIED_ACCOUNT_INACTIVE", "DENIED_INVALID_TX_ID", "DENIED_OTHER", "DENIED_ACCOUNT_NOT_UPGRADED_TO_IBAN" ## Response 400 fields (application/json): - `message` (string) When present helps to identify and fix the problem. - `validation` (object) Description of fields which were invalid. - `validation.invalid` (boolean) - `validation.fields` (array) - `validation.fields.name` (string) - `validation.fields.errors` (array) - `validation.fields.errors.type` (string) Enum: "REQUIRED", "HAS_TEXT", "REQUIRES", "SIZE", "RANGE", "IN", "NOT_IN", "REGEX", "EXACTLY", "AT_LEAST", "AT_MOST", "ALL_OR_NONE" - `validation.fields.errors.params` (array) ## Response default fields (application/json): - `message` (string) When present helps to identify and fix the problem.